package com.glxp.mipsdl.entity.scpwxyy;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class A014 {

    @TableField("MED_LIST_CODG")
    private String medListCodg;

    @TableField("FIXMEDINS_HILIST_ID")
    private String fixmedinsHilistId;

    @TableField("FIXMEDINS_HILIST_NAME")
    private String fixmedinsHilistName;

    @TableField("FIXMEDINS_BCHNO")
    private String fixmedinsBchno;

    @TableField("PRSC_DR_CERT_TYPE")
    private String prscDrCertType;

    @TableField("PRSC_DR_CERTNO")
    private String prscDrCertno;

    @TableField("PRSC_DR_NAME")
    private String prscDrName;

    @TableField("PHAR_CERT_TYPE")
    private String pharCertType;

    @TableField("PHAR_CERTNO")
    private String pharCertno;

    @TableField("PHAR_NAME")
    private String pharName;

    @TableField("PHAR_PRAC_CERT_NO")
    private String pharPracCertNo;

    @TableField("HI_FEESETL_TYPE")
    private String hiFeesetlType;

    @TableField("SETL_ID")
    private String setlId;

    @TableField("MDTRT_SN")
    private String mdtrtSn;

    @TableField("PSN_NO")
    private String psnNo;

    @TableField("PSN_CERT_TYPE")
    private String psnCertType;

    @TableField("CERTNO")
    private String certno;

    @TableField("PSN_NAME")
    private String psnName;

    @TableField("MANU_LOTNUM")
    private String manuLotnum;

    @TableField("MANU_DATE")
    private Date manuDate;

    @TableField("EXPY_END")
    private Date expyEnd;

    @TableField("RX_FLAG")
    private String rxFlag;

    @TableField("TRDN_FLAG")
    private String trdnFlag;

    @TableField("FINL_TRNS_PRIC")
    private BigDecimal finlTrnsPric;

    @TableField("RXNO")
    private String rxno;

    @TableField("RX_CIRC_FLAG")
    private String rxCircFlag;

    @TableField("RTAL_DOCNO")
    private String rtalDocno;

    @TableField("STOOUT_NO")
    private String stooutNo;

    @TableField("BCHNO")
    private String bchno;

    @TableField("RUG_PROD_BARC")
    private String rugProdBarc;

    @TableField("SHELF_POSI")
    private String shelfPosi;

    @TableField("SEL_RETN_CNT")
    private Integer selRetnCnt;

    @TableField("SEL_RETN_TIME")
    private Date selRetnTime;

    @TableField("SEL_RETN_OPTER_NAME")
    private String selRetnOpterName;

    @TableField("MEMO")
    private String memo;

    @TableField("MDTRT_SETL_TYPE")
    private String mdtrtSetlType;

    @TableField("DRUGTRACINFO")
    private String drugtracinfo;

    @TableField("APPLY_NO")
    private String applyNo;

    @TableField("SETTLE_NO")
    private String settleNo;

    @TableField("SICK_ID")
    private String sickId;
}