package com.glxp.mipsdl.req.base;

import lombok.Data;

/**
 * 往来单位查询参数
 */
@Data
public class UdiwmsUnitRequest extends ListPageRequest {

    /**
     * 关键字查询，匹配 往来单位编码，往来单位名称，往来单位简称，支持模糊查询
     */
    private String key;

    /**
     * 往来单位编码
     */
    private String unitId;

    /**
     * 往来单位名称
     */
    private String name;

    /**
     * 最后更新时间
     */
    private String lastUpdateTime;

    /**
     * 企业类型   1 厂家 2供应商
     */
    private String unitType;
    private String databaseProductName;


}
